Documentation Center

Delete Search Index

Deletes a search index from an indexes element.

Deleting a search index does not force a reindex of the database; therefore, after deleting a search index it is important to reindex the database.

Request

URI: /v2/searchindex/{name}

HTTP Method: DELETE

Header params:
  • Accept: [application/json] OR [application/xml]
  • Content-Type: [application/json] OR [application/xml]
PATH Parameter(s):
  • name: The name of the index item to delete.

Response

Success
  • XML: <result message="Action = delete_index" messageKey="Action = delete_index" status="SUCCESS" statusCode="0" />
  • JSON: {"statusCode":0,"messageKey":"Action = delete_index", "message":"Action = delete_index", "status":"SUCCESS", "info":[]}
Failed
  • XML: <result message="Not Found" messageKey="Not Found" status="FAIL" statusCode="404" />
  • JSON: {"statusCode":404,"messageKey":"Not Found", "message":"Not Found", "status":"FAIL", "info":[]}

Permissions

"Manage application"

Example

Request:

DELETE http://example.corp:8080/LiveContent/v2/searchindex/exampleID

Response:

<result message="Action = delete_index" messageKey="Action = delete_index" status="SUCCESS" statusCode="0" />